Skip to main content
GET
Retrieve a webhook endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookEndpointId
string
required

Public ID of the webhook endpoint (prefixed with we_)

Response

Webhook endpoint retrieved successfully.

A webhook endpoint.

id
string

Public ID of the webhook endpoint (prefixed with we_).

Example:

"we_4mNpXwZ7bV1aLcs3Kf9dQ"

name
string
Example:

"Production events"

url
string<uri>
Example:

"https://api.example.com/webhooks/hifi"

description
string
Example:

"Receives all production event notifications"

subscriptions
string[]

Event types this endpoint is subscribed to.

A webhook event type an endpoint can subscribe to, such as ONRAMP.STATUS.COMPLETED. Call List webhook event types for every value accepted.

Example:
status
enum<string>
Available options:
ACTIVE,
PAUSED,
DISABLED
Example:

"ACTIVE"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"